## packmol 20.010

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(packmol Fortran)


if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_Fortran_COMPILER_ID MATCHES GNU)
    add_compile_options(
        -Wall "$<$<CONFIG:Debug>:-Werror>"
    )
endif()

# Build the executable
add_executable(packmol
       cenmass.f90
       gencan.f
       pgencan.f90
       initial.f90
       title.f90
       setsizes.f90
       getinp.f90
       strlength.f90
       output.f90
       checkpoint.f90
       writesuccess.f90
       fparc.f90
       gparc.f90
       gwalls.f90
       comprest.f90
       comparegrad.f90
       packmol.f90
       polartocart.f90
       resetboxes.f90
       tobar.f90
       setijk.f90
       setibox.f90
       restmol.f90
       swaptype.f90
       swaptypemod.f90
       ahestetic.f90
       heuristics.f90
       flashsort.f90
       jacobi.f90
       random.f90
       sizes.f90
       usegencan.f90
       compute_data.f90
       flashmod.f90
       computef.f90
       computeg.f90
       input.f90
)

# Installation directive
install(TARGETS packmol DESTINATION bin)

=== Makefile ===
#
# Makefile for Packmol: Read the comments if you have some
#                       problem while compiling.
#
# You may use the ./configure script to search automatically for
# some fortran compiler.
#
# This make file will try to compile packmol with the default
# fortran compiler, defined by the FC directive. For doing this,
# just type
#
#          make 
#
# If you want to compile with some specific fortran compiler, you must 
# change the line below to the path of your fortran compiler. 
#
FORTRAN=/usr/bin/gfortran
#
# Change the flags of the compilation if you want:
#
FLAGS= -O3 --fast-math
 
###################################################################
#                                                                 #
# Generally no modifications are required after this.             #
#                                                                 #
###################################################################
#
# Flags for compiling development version
#
GENCANFLAGS := $(FLAGS)
ifeq ($(MAKECMDGOALS),devel)
FLAGS = -Wall -fcheck=bounds -g -fbacktrace -ffpe-trap=zero,overflow,underflow
GENCANFLAGS = -fcheck=bounds -g -fbacktrace -ffpe-trap=zero,overflow,underflow 
endif
ifeq ($(MAKECMDGOALS),perf)
FLAGS = -g -pg
GENCANFLAGS = -g -pg
endif
#
# Files required
#
oall = cenmass.o \
       gencan.o \
       pgencan.o \
       initial.o \
       title.o \
       setsizes.o \
       getinp.o \
       strlength.o \
       output.o \
       checkpoint.o \
       writesuccess.o \
       fparc.o \
       gparc.o \
       gwalls.o \
       comprest.o \
       comparegrad.o \
       packmol.o \
       polartocart.o \
       resetboxes.o \
       tobar.o \
       setijk.o \
       setibox.o \
       restmol.o \
       swaptype.o \
       swaptypemod.o \
       ahestetic.o \
       heuristics.o \
       flashsort.o \
       jacobi.o \
       random.o \
       sizes.o \
       usegencan.o \
       compute_data.o \
       flashmod.o \
       computef.o \
       computeg.o \
       input.o
#
# Linking 
#
all : $(oall)
	@echo " ------------------------------------------------------ " 
	@echo " Compiling packmol with $(FORTRAN) " 
	@echo " Flags: $(FLAGS) " 
	@echo " ------------------------------------------------------ " 
	@$(FORTRAN) -o packmol $(oall) $(FLAGS) 
	@\rm -f *.mod *.o
	@echo " ------------------------------------------------------ " 
	@echo " Packmol succesfully built." 
	@echo " ------------------------------------------------------ " 
#
# Compiling with flags for development
#
perf : devel
devel : $(oall)
	@echo " ------------------------------------------------------ " 
	@echo " Compiling packmol with $(FORTRAN) " 
	@echo " Flags: $(FLAGS)"
	@echo " ------------------------------------------------------ "
	@$(FORTRAN) -o packmol $(oall) $(FLAGS)
	@echo " ------------------------------------------------------ " 
	@echo " Packmol succesfully built. " 
	@echo " ------------------------------------------------------ " 
#
# Modules
#
modules = sizes.o compute_data.o usegencan.o input.o flashmod.o swaptypemod.o ahestetic.o
sizes.o : sizes.f90 
	@$(FORTRAN) $(FLAGS) -c sizes.f90
compute_data.o : compute_data.f90 sizes.o
	@$(FORTRAN) $(FLAGS) -c compute_data.f90
input.o : input.f90 sizes.o 
	@$(FORTRAN) $(FLAGS) -c input.f90
flashmod.o : flashmod.f90 sizes.o 
	@$(FORTRAN) $(FLAGS) -c flashmod.f90
usegencan.o : usegencan.f90 sizes.o
	@$(FORTRAN) $(FLAGS) -c usegencan.f90
swaptypemod.o : swaptypemod.f90 
	@$(FORTRAN) $(FLAGS) -c swaptypemod.f90
ahestetic.o : ahestetic.f90 
	@$(FORTRAN) $(FLAGS) -c ahestetic.f90
#
# Code compiled only for all versions
#
cenmass.o : cenmass.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c cenmass.f90
initial.o : initial.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c initial.f90
title.o : title.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c title.f90
setsizes.o : setsizes.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c setsizes.f90
getinp.o : getinp.f90  $(modules)
	@$(FORTRAN) $(FLAGS) -c getinp.f90
strlength.o : strlength.f90  
	@$(FORTRAN) $(FLAGS) -c strlength.f90
output.o : output.f90  $(modules)
	@$(FORTRAN) $(FLAGS) -c output.f90
checkpoint.o : checkpoint.f90  $(modules)
	@$(FORTRAN) $(FLAGS) -c checkpoint.f90
writesuccess.o : writesuccess.f90  $(modules)
	@$(FORTRAN) $(FLAGS) -c writesuccess.f90
fparc.o : fparc.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c fparc.f90
gparc.o : gparc.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c gparc.f90
gwalls.o : gwalls.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c gwalls.f90
comprest.o : comprest.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c comprest.f90
comparegrad.o : comparegrad.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c comparegrad.f90
packmol.o : packmol.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c packmol.f90
polartocart.o : polartocart.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c polartocart.f90
resetboxes.o : resetboxes.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c resetboxes.f90
tobar.o : tobar.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c tobar.f90
setijk.o : setijk.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c setijk.f90
setibox.o : setibox.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c setibox.f90
restmol.o : restmol.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c restmol.f90
swaptype.o : swaptype.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c swaptype.f90
heuristics.o : heuristics.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c heuristics.f90
flashsort.o : flashsort.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c flashsort.f90
jacobi.o : jacobi.f90
	@$(FORTRAN) $(FLAGS) -c jacobi.f90
pgencan.o : pgencan.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c pgencan.f90
gencan.o : gencan.f
	@$(FORTRAN) $(GENCANFLAGS) -c gencan.f 
random.o : random.f90 
	@$(FORTRAN) $(FLAGS) -c random.f90
computef.o : computef.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c computef.f90
computeg.o : computeg.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c computeg.f90
#
# Clean build files
#
clean: 
	@\rm -f ./*.o ./*.mod 
#
# Remove all build and executable files to upload to git
#
cleanall:  
	@\rm -f ./packmol ./*.o ./*.mod

=== debian/changelog ===
packmol (20.010-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jan 2020 10:49:33 +0800

packmol (18.169-2) unstable; urgency=medium

  * source-only upload for testing migration

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Nov 2019 16:44:22 +0800

packmol (18.169-1) unstable; urgency=medium

  * Initial release (Closes: #941726)

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Oct 2019 01:36:01 +0800

=== debian/control ===
Source: packmol
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 12),
    cmake,
    gfortran
Standards-Version: 4.4.1
Homepage: http://m3g.iqm.unicamp.br/packmol/
Vcs-Browser: https://salsa.debian.org/debichem-team/packmol
Vcs-Git: https://salsa.debian.org/debichem-team/packmol.git

Package: packmol
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tcl
Description: Initial configurations for Molecular Dynamics Simulations
 Initial configurations for Molecular Dynamics Simulations by packing
 optimization.
 .
 Packmol creates an initial point for molecular dynamics simulations by
 packing molecules in defined regions of space. The packing guarantees
 that short range repulsive interactions do not disrupt the
 simulations.
 .
 The great variety of types of spatial constraints that can be
 attributed to the molecules, or atoms within the molecules, makes it
 easy to create ordered systems, such as lamellar, spherical or tubular
 lipid layers.
 .
 The user must provide only the coordinates of one molecule of each
 type, the number of molecules of each type and the spatial constraints
 that each type of molecule must satisfy.
 .
 The package is compatible with input files of PDB, TINKER, XYZ and
 MOLDY formats.
 .
 See http://m3g.iqm.unicamp.br/packmol for more information.
 .
 References
 .
 Please always cite one of the following references in publications for
 which Packmol was useful:
 .
 L Martinez, R Andrade, EG Birgin, JM Martinez, Packmol: A package for
 building initial configurations for molecular dynamics simulations.
 Journal of Computational Chemistry, 30, 2157-2164, 2009.
 (http://www3.interscience.wiley.com/journal/122210103/abstract)
 .
 JM Martinez, L Martinez, Packing optimization for the automated
 generation of complex system's initial configurations for molecular
 dynamics and docking. Journal of Computational Chemistry, 24, 819-825,
 2003. (http://www3.interscience.wiley.com/journal/104086246/abstract)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%packmol-$1.tar.gz%" \
    https://github.com/mcubeg/packmol/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## packmol 20.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(packmol Fortran)


if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_Fortran_COMPILER_ID MATCHES GNU)
    add_compile_options(
        -Wall "$<$<CONFIG:Debug>:-Werror>"
    )
endif()

# Build the executable
add_executable(packmol
       src/exit_codes.f90
       src/cenmass.f90
       src/gencan.f
       src/pgencan.f90
       src/initial.f90
       src/title.f90
       src/setsizes.f90
       src/getinp.f90
       src/strlength.f90
       src/output.f90
       src/checkpoint.f90
       src/writesuccess.f90
       src/fparc.f90
       src/gparc.f90
       src/gwalls.f90
       src/comprest.f90
       src/comparegrad.f90
       app/packmol.f90
       src/polartocart.f90
       src/resetboxes.f90
       src/tobar.f90
       src/setijk.f90
       src/setibox.f90
       src/restmol.f90
       src/swaptype.f90
       src/swaptypemod.f90
       src/ahestetic.f90
       src/heuristics.f90
       src/flashsort.f90
       src/jacobi.f90
       src/random.f90
       src/sizes.f90
       src/usegencan.f90
       src/compute_data.f90
       src/flashmod.f90
       src/computef.f90
       src/computeg.f90
       src/input.f90
)

# Installation directive
install(TARGETS packmol DESTINATION bin)

=== Makefile ===
#
# Makefile for Packmol: Read the comments if you have some
#                       problem while compiling.
#
# You may use the ./configure script to search automatically for
# some fortran compiler.
#
# This make file will try to compile packmol with the default
# fortran compiler, defined by the FC directive. For doing this,
# just type
#
#          make 
#
# If you want to compile with some specific fortran compiler, you must 
# change the line below to the path of your fortran compiler. 
#
FORTRAN=/usr/bin/gfortran
#
# Change the flags of the compilation if you want:
#
FLAGS= -O3 --fast-math -march=native -funroll-loops
SRCDIR= src
MAINDIR= app 
###################################################################
#                                                                 #
# Generally no modifications are required after this.             #
#                                                                 #
###################################################################
#
# Flags for compiling development version
#
GENCANFLAGS := $(FLAGS)
ifeq ($(MAKECMDGOALS),devel)
FLAGS = -Wall -fcheck=bounds -g -fbacktrace -ffpe-trap=zero,overflow,underflow
GENCANFLAGS = -fcheck=bounds -g -fbacktrace -ffpe-trap=zero,overflow,underflow 
endif
ifeq ($(MAKECMDGOALS),perf)
FLAGS = -g -pg
GENCANFLAGS = -g -pg
endif
ifeq ($(MAKECMDGOALS),static)
FLAGS = -O3 --fast-math -static
GENCANFLAGS = -O3 --fast-math -static
endif
#
# Files required
#
oall = cenmass.o \
       gencan.o \
       pgencan.o \
       initial.o \
       title.o \
       setsizes.o \
       exit_codes.o \
       getinp.o \
       strlength.o \
       output.o \
       checkpoint.o \
       writesuccess.o \
       fparc.o \
       gparc.o \
       gwalls.o \
       comprest.o \
       comparegrad.o \
       packmol.o \
       polartocart.o \
       resetboxes.o \
       tobar.o \
       setijk.o \
       setibox.o \
       restmol.o \
       swaptype.o \
       swaptypemod.o \
       ahestetic.o \
       heuristics.o \
       flashsort.o \
       jacobi.o \
       random.o \
       sizes.o \
       usegencan.o \
       compute_data.o \
       flashmod.o \
       computef.o \
       computeg.o \
       input.o
#
# Linking 
#
all : $(oall)
	@echo " ------------------------------------------------------ " 
	@echo " Compiling packmol with $(FORTRAN) " 
	@echo " Flags: $(FLAGS) " 
	@echo " ------------------------------------------------------ " 
	@$(FORTRAN) -o packmol $(oall) $(FLAGS) 
	@\rm -f *.mod *.o
	@echo " ------------------------------------------------------ " 
	@echo " Packmol succesfully built." 
	@echo " ------------------------------------------------------ " 
#
# Compiling with flags for development
#
static : devel
perf : devel
devel : $(oall)
	@echo " ------------------------------------------------------ " 
	@echo " Compiling packmol with $(FORTRAN) " 
	@echo " Flags: $(FLAGS)"
	@echo " ------------------------------------------------------ "
	@$(FORTRAN) -o packmol $(oall) $(FLAGS)
	@echo " ------------------------------------------------------ " 
	@echo " Packmol succesfully built. " 
	@echo " ------------------------------------------------------ " 
#
# Modules
#
modules = exit_codes.o sizes.o compute_data.o usegencan.o input.o flashmod.o \
          swaptypemod.o ahestetic.o
exit_codes.o : $(SRCDIR)/exit_codes.f90
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/exit_codes.f90
sizes.o : $(SRCDIR)/sizes.f90 
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/sizes.f90
compute_data.o : $(SRCDIR)/compute_data.f90 sizes.o
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/compute_data.f90
input.o : $(SRCDIR)/input.f90 sizes.o 
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/input.f90
flashmod.o : $(SRCDIR)/flashmod.f90 sizes.o 
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/flashmod.f90
usegencan.o : $(SRCDIR)/usegencan.f90 sizes.o
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/usegencan.f90
swaptypemod.o : $(SRCDIR)/swaptypemod.f90 
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/swaptypemod.f90
ahestetic.o : $(SRCDIR)/ahestetic.f90 
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/ahestetic.f90
#
# Code compiled only for all versions
#
cenmass.o : $(SRCDIR)/cenmass.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/cenmass.f90
initial.o : $(SRCDIR)/initial.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/initial.f90
title.o : $(SRCDIR)/title.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/title.f90
setsizes.o : $(SRCDIR)/setsizes.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/setsizes.f90
getinp.o : $(SRCDIR)/getinp.f90  $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/getinp.f90
strlength.o : $(SRCDIR)/strlength.f90  $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/strlength.f90
output.o : $(SRCDIR)/output.f90  $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/output.f90
checkpoint.o : $(SRCDIR)/checkpoint.f90  $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/checkpoint.f90
writesuccess.o : $(SRCDIR)/writesuccess.f90  $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/writesuccess.f90
fparc.o : $(SRCDIR)/fparc.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/fparc.f90
gparc.o : $(SRCDIR)/gparc.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/gparc.f90
gwalls.o : $(SRCDIR)/gwalls.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/gwalls.f90
comprest.o : $(SRCDIR)/comprest.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/comprest.f90
comparegrad.o : $(SRCDIR)/comparegrad.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/comparegrad.f90
packmol.o : app/packmol.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c app/packmol.f90
polartocart.o : $(SRCDIR)/polartocart.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/polartocart.f90
resetboxes.o : $(SRCDIR)/resetboxes.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/resetboxes.f90
tobar.o : $(SRCDIR)/tobar.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/tobar.f90
setijk.o : $(SRCDIR)/setijk.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/setijk.f90
setibox.o : $(SRCDIR)/setibox.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/setibox.f90
restmol.o : $(SRCDIR)/restmol.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/restmol.f90
swaptype.o : $(SRCDIR)/swaptype.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/swaptype.f90
heuristics.o : $(SRCDIR)/heuristics.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/heuristics.f90
flashsort.o : $(SRCDIR)/flashsort.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/flashsort.f90
jacobi.o : $(SRCDIR)/jacobi.f90
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/jacobi.f90
pgencan.o : $(SRCDIR)/pgencan.f90 $(modules)
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/pgencan.f90
gencan.o : $(SRCDIR)/gencan.f
	@$(FORTRAN) $(GENCANFLAGS) -c $(SRCDIR)/gencan.f 
random.o : $(SRCDIR)/random.f90 
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/random.f90
computef.o : $(SRCDIR)/computef.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/computef.f90
computeg.o : $(SRCDIR)/computeg.f90 $(modules)   
	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/computeg.f90
#
# Clean build files
#
clean: 
	@\rm -f ./*.o ./*.mod 
#
# Remove all build and executable files to upload to git
#
cleanall:  
	@\rm -f ./packmol ./*.o ./*.mod

=== debian/changelog ===
packmol (1:20.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Feb 2023 12:39:53 +0100

packmol (1:20.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 12:15:00 +0100

packmol (1:20.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Jan 2023 16:50:06 +0100

packmol (1:20.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Dec 2022 00:03:39 +0100

packmol (1:20.11.0-1) unstable; urgency=medium

  * New upstream release.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Nov 2022 15:32:57 +0100

packmol (1:20.3.5-1) unstable; urgency=medium

  * New upstream release.
    - apply version epoch to sort 20.010 below 20.3.5
  * update debian/watch to https://github.com/m3g/packmol
    - mangle debian version 20.010 as 20.0.10 to sort below 20.1
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Sep 2022 01:06:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
     cmake,
     gfortran
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: http://m3g.iqm.unicamp.br/packmol/
 Vcs-Browser: https://salsa.debian.org/debichem-team/packmol
 Vcs-Git: https://salsa.debian.org/debichem-team/packmol.git

## packmol 20.14.2

=== debian/changelog ===
packmol (1:20.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Jun 2023 01:05:20 +0200

## packmol 20.14.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
        src/exit_codes.f90
        src/cenmass.f90
        src/gencan.f
+       src/gencan_ieee_signal_routines.f90
        src/pgencan.f90
        src/initial.f90
        src/title.f90

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,8 @@
 # Flags for compiling development version
 #
 GENCANFLAGS := $(FLAGS)
+# Flags for the routines that signal with --fast-math
+IEEE_SIGNAL_FLAGS := $(FLAGS)
 ifeq ($(MAKECMDGOALS),devel)
 FLAGS = -Wall -fcheck=bounds -g -fbacktrace -ffpe-trap=zero,overflow,underflow
 GENCANFLAGS = -fcheck=bounds -g -fbacktrace -ffpe-trap=zero,overflow,underflow 
@@ -82,7 +84,8 @@
        flashmod.o \
        computef.o \
        computeg.o \
-       input.o
+       input.o \
+	   gencan_ieee_signal_routines.o
 #
 # Linking 
 #
@@ -114,7 +117,7 @@
 # Modules
 #
 modules = exit_codes.o sizes.o compute_data.o usegencan.o input.o flashmod.o \
-          swaptypemod.o ahestetic.o
+          swaptypemod.o ahestetic.o 
 exit_codes.o : $(SRCDIR)/exit_codes.f90
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/exit_codes.f90
 sizes.o : $(SRCDIR)/sizes.f90 
@@ -131,6 +134,7 @@
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/swaptypemod.f90
 ahestetic.o : $(SRCDIR)/ahestetic.f90 
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/ahestetic.f90
+
 #
 # Code compiled only for all versions
 #
@@ -186,21 +190,23 @@
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/jacobi.f90
 pgencan.o : $(SRCDIR)/pgencan.f90 $(modules)
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/pgencan.f90
-gencan.o : $(SRCDIR)/gencan.f
-	@$(FORTRAN) $(GENCANFLAGS) -c $(SRCDIR)/gencan.f 
 random.o : $(SRCDIR)/random.f90 
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/random.f90
 computef.o : $(SRCDIR)/computef.f90 $(modules)   
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/computef.f90
 computeg.o : $(SRCDIR)/computeg.f90 $(modules)   
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/computeg.f90
+gencan_ieee_signal_routines.o : $(SRCDIR)/gencan_ieee_signal_routines.f90
+	@$(FORTRAN) $(IEEE_SIGNAL_FLAGS) -c $(SRCDIR)/gencan_ieee_signal_routines.f90
+gencan.o : $(SRCDIR)/gencan.f gencan_ieee_signal_routines.o
+	@$(FORTRAN) $(GENCANFLAGS) -c $(SRCDIR)/gencan.f 
 #
 # Clean build files
 #
 clean: 
-	@\rm -f ./*.o ./*.mod 
+	@\rm -f ./*.o ./*.mod ./src/*.mod ./src/*.o
 #
 # Remove all build and executable files to upload to git
 #
 cleanall:  
-	@\rm -f ./packmol ./*.o ./*.mod
+	@\rm -f ./packmol ./*.o ./*.mod ./src/*.mod ./src/*.o

=== debian/changelog ===
packmol (1:20.14.3-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Feb 2024 20:46:27 +0100

## packmol 20.15.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,7 @@
        src/jacobi.f90
        src/random.f90
        src/sizes.f90
+       src/pbc.f90
        src/usegencan.f90
        src/compute_data.f90
        src/flashmod.f90

=== Makefile ===
--- 
+++ 
@@ -79,6 +79,7 @@
        jacobi.o \
        random.o \
        sizes.o \
+       pbc.o \
        usegencan.o \
        compute_data.o \
        flashmod.o \
@@ -116,12 +117,14 @@
 #
 # Modules
 #
-modules = exit_codes.o sizes.o compute_data.o usegencan.o input.o flashmod.o \
+modules = exit_codes.o sizes.o pbc.o compute_data.o usegencan.o input.o flashmod.o \
           swaptypemod.o ahestetic.o 
 exit_codes.o : $(SRCDIR)/exit_codes.f90
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/exit_codes.f90
 sizes.o : $(SRCDIR)/sizes.f90 
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/sizes.f90
+pbc.o : $(SRCDIR)/pbc.f90 
+	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/pbc.f90
 compute_data.o : $(SRCDIR)/compute_data.f90 sizes.o
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/compute_data.f90
 input.o : $(SRCDIR)/input.f90 sizes.o

=== debian/changelog ===
packmol (1:20.15.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Feb 2025 08:43:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
     cmake,
     gfortran
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://m3g.iqm.unicamp.br/packmol/
 Vcs-Browser: https://salsa.debian.org/debichem-team/packmol
 Vcs-Git: https://salsa.debian.org/debichem-team/packmol.git

## packmol 20.16.0

=== debian/changelog ===
packmol (1:20.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 17:59:42 +0100

## packmol 21.0.1

=== debian/changelog ===
packmol (1:21.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Apr 2025 12:15:40 +0200

packmol (1:21.0.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Mar 2025 14:42:21 +0200

## packmol 21.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,10 +34,9 @@
        src/comparegrad.f90
        app/packmol.f90
        src/polartocart.f90
-       src/resetboxes.f90
+       src/resetcells.f90
        src/tobar.f90
-       src/setijk.f90
-       src/setibox.f90
+       src/cell_indexing.f90
        src/restmol.f90
        src/swaptype.f90
        src/swaptypemod.f90

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #
 # Change the flags of the compilation if you want:
 #
-FLAGS= -O3 --fast-math -march=native -funroll-loops
+FLAGS= -O3 -march=native -funroll-loops
 SRCDIR= src
 MAINDIR= app 
 ###################################################################
@@ -66,10 +66,9 @@
        comparegrad.o \
        packmol.o \
        polartocart.o \
-       resetboxes.o \
+       resetcells.o \
        tobar.o \
-       setijk.o \
-       setibox.o \
+       cell_indexing.o \
        restmol.o \
        swaptype.o \
        swaptypemod.o \
@@ -118,7 +117,7 @@
 # Modules
 #
 modules = exit_codes.o sizes.o pbc.o compute_data.o usegencan.o input.o flashmod.o \
-          swaptypemod.o ahestetic.o 
+          swaptypemod.o ahestetic.o cell_indexing.o
 exit_codes.o : $(SRCDIR)/exit_codes.f90
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/exit_codes.f90
 sizes.o : $(SRCDIR)/sizes.f90 
@@ -137,6 +136,8 @@
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/swaptypemod.f90
 ahestetic.o : $(SRCDIR)/ahestetic.f90 
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/ahestetic.f90
+cell_indexing.o : $(SRCDIR)/cell_indexing.f90
+	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/cell_indexing.f90
 
 #
 # Code compiled only for all versions
@@ -173,14 +174,10 @@
 	@$(FORTRAN) $(FLAGS) -c app/packmol.f90
 polartocart.o : $(SRCDIR)/polartocart.f90 $(modules)   
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/polartocart.f90
-resetboxes.o : $(SRCDIR)/resetboxes.f90 $(modules)   
-	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/resetboxes.f90
+resetcells.o : $(SRCDIR)/resetcells.f90 $(modules)   
+	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/resetcells.f90
 tobar.o : $(SRCDIR)/tobar.f90 $(modules)   
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/tobar.f90
-setijk.o : $(SRCDIR)/setijk.f90 $(modules)   
-	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/setijk.f90
-setibox.o : $(SRCDIR)/setibox.f90 $(modules)   
-	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/setibox.f90
 restmol.o : $(SRCDIR)/restmol.f90 $(modules)   
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/restmol.f90
 swaptype.o : $(SRCDIR)/swaptype.f90 $(modules)

=== debian/changelog ===
packmol (1:21.0.2-2) unstable; urgency=medium

  * debian patches initial_maxmove_PR98.patch and
    initial_coord_PR99.patch apply upstream PR#98 and PR#99 to fix
    initialisation of move parameters and coordinates.
    Backports from upstream 21.0.3 and 21.0.4 releases.

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Jul 2025 10:49:42 +0200

packmol (1:21.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 May 2025 22:45:59 +0200

## packmol 21.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
        src/getinp.f90
        src/strlength.f90
        src/output.f90
+       src/cli_parser.f90
        src/checkpoint.f90
        src/writesuccess.f90
        src/fparc.f90

=== debian/changelog ===
packmol (1:21.1.0-2) unstable; urgency=medium

  * debian patch cmake4.patch bumps minimum cmake version to 3.5
    to allow compatibility with cmake 4. Closes: #1113385.

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Sep 2025 17:49:21 +0200

packmol (1:21.1.0-1) unstable; urgency=medium

  * New upstream release
    - applies all debian patches

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Aug 2025 14:58:35 +0200

## packmol 21.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.5)
 project(packmol Fortran)

=== Makefile ===
--- 
+++ 
@@ -57,6 +57,7 @@
        getinp.o \
        strlength.o \
        output.o \
+       cli_parser.o \
        checkpoint.o \
        writesuccess.o \
        fparc.o \
@@ -156,6 +157,8 @@
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/strlength.f90
 output.o : $(SRCDIR)/output.f90  $(modules)
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/output.f90
+cli_parser.o : $(SRCDIR)/cli_parser.f90 $(modules)
+	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/cli_parser.f90
 checkpoint.o : $(SRCDIR)/checkpoint.f90  $(modules)
 	@$(FORTRAN) $(FLAGS) -c $(SRCDIR)/checkpoint.f90
 writesuccess.o : $(SRCDIR)/writesuccess.f90  $(modules)

=== debian/changelog ===
packmol (1:21.1.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch cmake4.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Oct 2025 14:42:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
     cmake,
     gfortran
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://m3g.iqm.unicamp.br/packmol/
 Vcs-Browser: https://salsa.debian.org/debichem-team/packmol
 Vcs-Git: https://salsa.debian.org/debichem-team/packmol.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
 dversionmangle=s/20.010/20.0.10/" \
 https://github.com/m3g/packmol/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## packmol 21.2.0

=== debian/changelog ===
packmol (1:21.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Jan 2026 16:41:35 +0100

## packmol 21.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10)
 project(packmol Fortran)

=== debian/changelog ===
packmol (1:21.2.1-1) unstable; urgency=medium

  * New upstream release
  * update debian/watch to v5 GitHub template

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Feb 2026 16:29:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
     cmake,
     gfortran
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://m3g.iqm.unicamp.br/packmol/
 Vcs-Browser: https://salsa.debian.org/debichem-team/packmol
 Vcs-Git: https://salsa.debian.org/debichem-team/packmol.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: m3g
Project: packmol
Version-Mangle: s/20.010/20.0.10/

## packmol step-2023.2.15

=== requirements.txt ===
seamm==2021.2.2
tabulate

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/packmol_step.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/packmol_step.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/packmol_step"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/packmol_step"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
